package router

import (
	"fonchain-fiee/pkg/service/bundle"
	"github.com/gin-gonic/gin"
)

func BundleRouter(r *gin.RouterGroup) {
	bundleRoute := r.Group("bundle")

	// 套餐
	{
		bundleClientRoute := bundleRoute.Group("system")
		{
			bundleClientRoute.POST("create", bundle.CreateBundle)
			bundleClientRoute.POST("update", bundle.UpdateBundle)
			bundleClientRoute.POST("remove", bundle.DeleteBundle)
		}

		bundleAppRoute := bundleRoute.Group("common")
		{
			bundleAppRoute.POST("bundle-list", bundle.BundleList)
		}

	}

}
